﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWpf
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.DataContext = new ViewModel();
            InitializeComponent();
            this.ScheduleView.SpecialSlotsSource = new ObservableCollection<MySlot>
            {
                new MySlot { Start = DateTime.Today, End = DateTime.Today.AddHours(0.5), CustomProperty = "first slot"},
                new MySlot { Start = DateTime.Today.AddHours(3), End = DateTime.Today.AddHours(3.5), CustomProperty = "second slot"},
                new MySlot { Start = DateTime.Today.AddHours(6), End = DateTime.Today.AddHours(6.5), CustomProperty = "third slot"},
            };
        }
    }
}
