﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWpf
{
    public class CustomDragDrop: ScheduleViewDragDropBehavior
    {
        public override bool CanDrop(DragDropState state)
        {
            var scheduleView = state.ServiceProvider.GetService<IDialogProvider>() as RadScheduleView;
            var destinationSlot = state.DestinationSlots.First() as Slot;

            var mySlot = scheduleView.SpecialSlotsSource.FirstOrDefault(x => x.IntersectsWith(destinationSlot));

            if (mySlot != null)
            {
                // this is the slot you need
            }

            return base.CanDrop(state);
        }
    }
}
